class Impact < ActiveRecord::Base
  validates :level, presence: true, uniqueness: true
  validates :description, presence: true, uniqueness: true

  def self.global
    find_by(description: 'Global')
  end

  def self.regional
    find_by(description: 'Regional')
  end

  def self.local
    find_by(description: 'Local')
  end

  def self.user
    find_by(description: 'Usuário')
  end
end
