class Urgency < ActiveRecord::Base
  validates :level, presence: true, uniqueness: true
  validates :description, presence: true, uniqueness: true

  def self.low
    find_by(description: 'Baixo')
  end

  def self.medium
    find_by(description: 'Médio')
  end

  def self.high
    find_by(description: 'Alto')
  end
end
