class CreateUsers < ActiveRecord::Migration
  def change
    create_table :users do |t|
      t.string :name, null: false
      t.string :email, null: false, index: true
      t.string :password_digest, null: false
      t.string :telephone, limit: 15
      t.string :mobile, limit: 15
      t.string :address
      t.string :number
      t.string :village
      t.string :city
      t.string :state
      t.string :postcode
      t.boolean :active, default: true
      t.timestamps null: false
    end
  end
end
