FactoryGirl.define do
  factory :impact do
    trait :global do
      description 'Global'
      level       1
    end

    trait :regional do
      description 'Regional'
      level       2
    end

    trait :local do
      description 'Local'
      level       3
    end

    trait :user do
      description 'Usuário'
      level       4
    end

    factory :impact_global,   traits: :global
    factory :impact_regional, traits: :regional
    factory :impact_local,    traits: :local
    factory :impact_user,     traits: :user
  end
end
