FactoryGirl.define do
  factory :profile do
    trait :admin do
      name        'Admnistrador'
      description 'Administrador do sistema'
      is_admin    true
    end

    trait :manager do
      name        'Gerente'
      description 'Líderes que possuem acesso a relatórios'
      is_admin    true
    end

    trait :agent do
      name        'Agente'
      description 'Analistas de suporte responsáveis por criar incidentes'
      is_admin    true
    end

    trait :user do
      name        'Usuário'
      description 'Usuários normais do sistema'
      is_admin    true
    end

    factory :profile_admin,   traits: :admin
    factory :profile_manager, traits: :manager
    factory :profile_agent,   traits: :agent
    factory :profile_user,    traits: :user
  end
end
