FactoryGirl.define do
  factory :urgency do
    trait :high do
      description 'Alto'
      level       1
    end

    trait :medium do
      description 'Médio'
      level       2
    end

    trait :low do
      description 'Baixo'
      level       3
    end

    factory :urgency_high,    traits: :high
    factory :urgency_medium,  traits: :medium
    factory :urgency_low,     traits: :low
  end
end
