class ApplicationController < ActionController::Base
  include ApplicationHelper

  # Prevent CSRF attacks by raising an exception.
  # For APIs, you may want to use :null_session instead.
  protect_from_forgery with: :exception

  rescue_from 'ActiveRecord::InvalidForeignKey' do
    flash[:warning] = 'Este registro está sendo referenciado por outros.'
    redirect_to :back
  end

  rescue_from 'ActionController::RedirectBackError' do
    redirect_to dashboards_path
  end
end
