class State < ActiveRecord::Base
  validates :description, presence: true, uniqueness: true

  def self.open
    find_by(description: 'Aberto')
  end

  def self.in_progress
    find_by(description: 'Em Progresso')
  end

  def self.resolved
    find_by(description: 'Resolvido')
  end

  def self.closed
    find_by(description: 'Fechado')
  end
end
