class CreateMemberships < ActiveRecord::Migration
  def change
    create_table :memberships do |t|
      t.references :user, index: true, foreign_key: true
      t.references :team, index: true, foreign_key: true
      t.boolean :is_manager, default: false
      t.boolean :is_alerted, default: true

      t.timestamps null: false
    end
  end
end
