class CreateIncidents < ActiveRecord::Migration
  def change
    create_table :incidents do |t|
      t.string :title, null: false
      t.text :description, null: false
      t.references :state, foreign_key: true, null: false
      t.references :impact, foreign_key: true, null: false
      t.references :priority, foreign_key: true, null: false
      t.references :urgency, foreign_key: true, null: false
      t.references :opening_category, foreign_key: true, null: false
      t.references :closing_category, foreign_key: true
      t.integer :requester_id, null: false
      t.integer :agent_id, null: false
      t.integer :assignee_id
      t.references :team, foreign_key: true, null: false

      t.timestamps null: false
    end
  end
end
