# This file should contain all the record creation needed to seed the database with its default values.
# The data can then be loaded with the rake db:seed (or created alongside the db with db:setup).
#
# Examples:
#
#   cities = City.create([{ name: 'Chicago' }, { name: 'Copenhagen' }])
#   Mayor.create(name: 'Emanuel', city: cities.first)

User.create(name: 'admin', email: 'admin@admin.com', password: 'W079DWCrSPOM')
User.create(name: 'Egon Braun', email: 'egonbraun@gmail.com', password: 'egon1234')
User.create(name: 'Alan Arakaki', email: 'alan.haruo@gmail.com', password: 'alan1234')
User.create(name: 'Gabriel Cardeal', email: 'gabrielcardeal@gmail.com', password: 'gabriel1234')

Team.create(name: "TCC", description: "Time do TCC")

CiType.create(description: 'Hardware')
CiType.create(description: 'Software')
CiType.create(description: 'Serviço')
CiType.create(description: 'Arquivo')
CiType.create(description: 'Outros')

Relation.create(description: 'Depende de')
Relation.create(description: 'Roda em')
Relation.create(description: 'Se relaciona com')
Relation.create(description: 'Se conecta a')

Impact.create(level: 1, description: 'Global')
Impact.create(level: 2, description: 'Regional')
Impact.create(level: 3, description: 'Local')
Impact.create(level: 4, description: 'Usuário')

Priority.create(level: 1, description: 'Crítico')
Priority.create(level: 2, description: 'Alto')
Priority.create(level: 3, description: 'Médio')
Priority.create(level: 4, description: 'Baixo')
Priority.create(level: 5, description: 'Planejado')

Urgency.create(level: 1, description: 'Alto')
Urgency.create(level: 2, description: 'Médio')
Urgency.create(level: 3, description: 'Baixo')

State.create(description: 'Aberto')
State.create(description: 'Em Progresso')
State.create(description: 'Resolvido')
State.create(description: 'Fechado')

Profile.create(name: 'Administrador', description: 'Administrador do sistema', is_admin: true)
Profile.create(name: 'Analista', description: 'Analistas de suporte responsáveis por criar incidentes', is_agent: true)
Profile.create(name: 'Gerente', description: 'Líderes que possuem acesso a relatórios', is_manager: true)
Profile.create(name: 'Usuário', description: 'Usuários normais do sistema')
