FactoryGirl.define do
  factory :ci_type do
    trait :software do
      description 'Software'
    end

    trait :hardware do
      description 'Hardware'
    end

    trait :service do
      description 'Service'
    end

    trait :other do
      description 'Other'
    end

    factory :ci_type_software,  traits: :software
    factory :ci_type_hardware,  traits: :hardware
    factory :ci_type_service,   traits: :service
    factory :ci_type_other,     traits: :other
  end
end
