FactoryGirl.define do
  factory :priority do
    trait :critical do
      description 'Crítico'
      level       1
    end

    trait :high do
      description 'Alto'
      level       2
    end

    trait :medium do
      description 'Médio'
      level       3
    end

    trait :low do
      description 'Baixo'
      level       4
    end

    trait :planned do
      description 'Planejado'
      level       5
    end

    factory :priority_critical, traits: :critical
    factory :priority_high,     traits: :high
    factory :priority_medium,   traits: :medium
    factory :priority_low,      traits: :low
    factory :priority_planned,  traits: :planned
  end
end
