FactoryGirl.define do
  factory :state do
    trait :open do
      description 'Aberto'
    end

    trait :in_progress do
      description 'Em Progresso'
    end

    trait :resolved do
      description 'Resolvido'
    end

    trait :closed do
      description 'Fechado'
    end

    factory :state_open,        traits: :open
    factory :state_in_progress, traits: :in_progress
    factory :state_resolved,    traits: :resolved
    factory :state_closed,      traits: :closed
  end
end
