require 'test_helper'

class SessionIntegrationTest < ActionDispatch::IntegrationTest
  def setup
    @user = create(:user)
  end

  def teardown
  end

  test 'login and logout as normal user' do
    user_login(@user.email, @user.password)
    assert current_path == users_path, "User #{@user.email} was not able to login with password #{@user.password}"
    user_logout
    assert current_path == login_path, "User #{@user.email} was not able to logout"
  end
end
